window.MultipleChoiceTestData = {
    // Optional: Wie viele Versuche hat der/die Lernende (Standardwert: Unendlich)
    "maxTries": Infinity,

    // Optional: Soll statt der Anzahl an nötigen Versuchen bewertet werden, wie gut der/die Lernende abschneidet?
    "reportScore": false,

    // Optional: Sollen die Fragen nicht durchgemischt werden?
    "keepOrder": false,

    // Optional: Wie soll bewertet werden?
    // "questions"  → Standardwert, Frage kann entweder richtig sein (1 von 1 Punkt) oder falsch (0 von 1 Punkt)
    // "average"    → Durchschnittlicher Prozentsatz an richtig ausgewählten bzw. richtig nicht ausgewählten Antwortmöglichkeiten pro auswählbaren Antwortmöglichkeiten bei jeder Frage
    // "choices"    → Anteil der richtig ausgewählten Antwortmöglichkeiten pro auswählbaren Antwortmöglichkeiten
    "countMode": "questions",

    // Wie viele Fragen sollen für einen Test gezogen werden?
    "questionsPerTest": 5,

    // Welcher Anteil muss mindestens richtig sein, um zu bestehen?
    "threshold": 0.8,

    // Optional: Begrüßungstext
    "htmlIntro": "<p>Schließe dieses Lernpaket erfolgreich ab, indem du mindestens vier Abbildungen den richtigen Fachbegriff und die richtige Kategorie zuordnest.</p><style>figure {text-align:center;} figure img {height:auto;width:auto;max-width:50%;max-height:30vh}</style>",

    // Verfügbare Fragen
    "questions": [],

    // Fragengeneratoren
    "generators": [
        function(arrFragen) {
            var signatures = [
                { abstraction: 1, src: 'aufbauplan_drahtbruecke-kurz.png', accept: ['kurze Drahtbrücke', 'kurzen Drahtbrücke', 'Drahtbrücke, kurz', 'Drahtbrücke, kurze', 'Drahtbrücke'] },
                { abstraction: 1, src: 'aufbauplan_drahtbruecke-lang.png', accept: ['lange Drahtbrücke', 'langen Drahtbrücke', 'Drahtbrücke, lang', 'Drahtbrücke, lange', 'Drahtbrücke'] },
                { abstraction: 1, src: 'aufbauplan_led.png', accept: ['LED', 'LED, grün', 'grüne LED'] },
                { abstraction: 1, src: 'aufbauplan_plus.png', accept: [ 'Plus-Anschluss', 'Plus', 'plus', 'Plusanschluss', 'Plus von Batteriebox', 'Plus der Batteriebox', 'Plus-Anschluss von Batteriebox', 'Plus-Anschluss der Batteriebox' ] },
                { abstraction: 1, src: 'aufbauplan_minus.png', accept: ['Minus-Anschluss', 'Minusanschluss', 'Minus', 'minus', 'Minus von Batteriebox', 'Minus der Batteriebox', 'Minus-Anschluss von Batteriebox', 'Minus-Anschluss der Batteriebox', 'Minusanschluss von Batteriebox', 'Minusanschluss der Batteriebox'] },
                { abstraction: 1, src: 'aufbauplan_steckbrett.png', accept: ['Steckbrett'] },
                { abstraction: 1, src: 'aufbauplan_taster.png', accept: ['Taster', 'Tasters'] },
                { abstraction: 1, src: 'aufbauplan_widerstand.png', accept: ['Widerstand', 'Widerstands', 'kurzer Widerstand', 'Widerstand, kurz', 'kurzen Widerstands', 'Widerstands, kurz'] },
                { abstraction: 2, src: 'schaltzeichen_batterie.png', accept: ['Batteriebox', 'Batterie', 'Monozelle', 'Akku', 'Akkumulator'] },
                { abstraction: 2, src: 'schaltzeichen_led.png', accept: ['LED'] },
                { abstraction: 2, src: 'schaltzeichen_taster.png', accept: ['Taster', 'Tasters'] },
                { abstraction: 2, src: 'schaltzeichen_widerstand.png', accept: ['Widerstand', 'Widerstands'] },
                { abstraction: 0, src: 'foto_batteriebox.jpg', accept: ['Batteriebox'] },
                { abstraction: 0, src: 'foto_steckfeder.jpg', accept: ['Steckfeder'] },
                { abstraction: 0, src: 'foto_taster.jpg', accept: ['Taster', 'Tasters'] },
                { abstraction: 0, src: 'foto_widerstand.jpg', accept: ['Widerstand', 'Widerstands', 'kurzer Widerstand', 'Widerstand, kurz', 'kurzen Widerstand', 'kurzen Widerstands', 'Widerstands, kurz'] },
                { abstraction: 0, src: 'foto_drahtbruecke-kurz.jpg', accept: ['kurzen Drahtbrücke', 'Drahtbrücke, kurzen', 'kurze Drahtbrücke', 'Drahtbrücke, kurz', 'Drahtbrücke, kurze', 'Drahtbrücke'] },
                { abstraction: 0, src: 'foto_drahtbruecke-lang.jpg', accept: ['langen Drahtbrücke', 'Drahtbrücke, langen', 'lange Drahtbrücke', 'Drahtbrücke, lang', 'Drahtbrücke, lange', 'Drahtbrücke'] },
                { abstraction: 0, src: 'foto_draht.jpg', accept: ['Draht', 'Drahtstück', 'Draht, grün', 'grüner Draht', 'Schaltdraht', 'grüner Schaltdraht', 'Schaltdraht, grün'] },
                { abstraction: 0, src: 'foto_led.jpg', accept: ['LED', 'LED, rot', 'rote LED', 'roten LED'] }
            ];

            signatures.map(function(signature, index) {                          // Aus Signaturen Fragen zusammenbauen
                var frage = {
                    "keepOrder": true,
                    "singlechoice": true,
                    "choices": [
                        { "html": "Foto von einem/einer ", "type": "text", "placeholder": "Fachbegriff" },
                        { "html": "Ein(e/en) ", "type": "text", "placeholder": "Fachbegriff", "unit": " im Aufbauplan" },
                        { "html": "Schaltzeichen von einem/einer ", "type": "text", "placeholder": "Fachbegriff" }
                    ]
                };
                // Fragentext aufbauen
                frage.html = 'Was zeigt diese Abbildung:<figure><img src="' + signature.src + '" alt="" /></figure>';
                // Antwortmöglichkeiten mit Komma: Falschkommaschreibungen ergänzen
                signature.accept.filter(function(s) { return (s.indexOf(',') != -1); }).map(function(s) {
                    signature.accept.push(s.replace(',', ''));
                    signature.accept.push(s.replace(',', ' ,'));
                    signature.accept.push(s.replace(', ', ','));
                });
                // Antwortmöglichkeiten mit LED: Langform Leuchtdiode ergänzen
                signature.accept.filter(function(s) { return (s.indexOf('LED') != -1); }).map(function(s) {
                    signature.accept.push(s.replace('LED', 'Leuchtdiode'));
                });
                // Erlauben, dass der erste Buchstabe groß geschrieben wird
                signature.accept.map(function(s) {
                    var c = s.charAt(0);
                    if (c.toLowerCase() == c)
                        signature.accept.push(c.toUpperCase() + s.substr(1));
                });
                // Antwortmöglichkeiten vervollständigen
                frage.choices.map(function(choice, index) {
                    choice.accept = signature.accept;
                    choice.correct = (index == signature.abstraction);
                });
                return frage;
            }).map(function(frage) {                                    // Fragen in Fragensammlung übernehmen
                arrFragen.push(frage)
            });
        }
    ]
}
